%global python3_pkgversion 38
%global commitId 05759b1b31f4f2e29a792ba9eaf6f9982d67d258

Name:          aap-cloud-addons
Version:       1.0.0
Release:       1%{?dist}2_1
Summary:       Ansible Automation Platform Cloud Addons
License:       ASL 2.0
URL:           https://github.com/ansible
Source0:       aap-seeded-content-05759b1b31f4f2e29a792ba9eaf6f9982d67d258.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-requests

Provides:      python3dist(ansible_automation_platform_seeded_content) = 0.1.0
Provides:      python%{python3_version}dist(ansible_automation_platform_seeded_content) = 0.1.0

%description
Ansible Automation Platform Cloud Addons

%prep
%autosetup -n aap-seeded-content-%{commitId} -S git

%build
export PBR_VERSION=0.1.0
%{py3_build}

%install
export PBR_VERSION=0.1.0
%{py3_install}

%files
%{python3_sitelib}/*
%{_bindir}/aap-seeded-content
%license LICENSE
%doc ChangeLog README.rst

%changelog
* Mon Jul 25 2022 Dimitri Savineau <dsavinea@redhat.com> - 1.0.0-1
- Ansible Automation Platform Cloud Addons
- add Ansible Automation Platform Seeded Content 0.1.0
